Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
    Hery Rabe
    @HeryRabe1_twitter
    Hello! I am trying to install metaflow and got an issue. I am inside my Rstudio IDE and got the following error:

    devtools::install_github("netflix/metaflow@R-dev", subdir = "R")
    Error: Failed to install 'unknown package' from GitHub:
    HTTP error 404.
    No commit found for the ref R-dev

    Did you spell the repo owner (netflix) and repo name (metaflow) correctly?

    • If spelling is correct, check that you have the required permissions to access the repo.
    Can I have some help? Thank you
    Savin
    @savingoyal
    Hi! Can you remove ‘@R-dev’ and then try again?
    Hery Rabe
    @HeryRabe1_twitter
    It works now ! thank you. Is it ok to have this error at the end: Error in loadNamespace(name) : there is no package called ‘rmarkdown’
    Savin
    @savingoyal
    Can you install the package ‘rmarkdown’ from CRAN?
    Hery Rabe
    @HeryRabe1_twitter
    My bad! Everything installed now! Thank you for your help :)
    Roxana Noelia
    @data_datum_twitter
    are the slides available?
    Bryan Galvin
    @bcgalvin
    devtools::install_github("Netflix/metaflow", subdir = "R")
    jdtrat
    @jdtrat
    I'm having trouble with the Metaflow install. I get the error Error: Python shared library not found, Python bindings not loaded. Use reticulate::install_miniconda() if you'd like to install a Miniconda Python environment. and when I follow the documentation, setting up the Conda environment, it doesn't work. Do you have any suggestions?
    15 replies
    Savin
    @savingoyal
    eJytk11vmzAYhf9Kles5NEBC4M4G09GAabDTNruxCHFa8kUKJh+d9t8H6dYWLVGmaXcWPrzPOe+Rv7cCzKDrhw8cQWZ/5bch4sMRHuGWddWK87UV7wprEsvk2SoLIOJCgo7V76ta19CuDVM3rXk2AS+lKIXyfgLUBp81YLMBepEslr001w4vs13ry9UHmOLo3rMxH0V+DX2WclNYirLfy16WdcvptC32IimlAPEmbb+7aMer+DVbV/7aSbZSqjulMRY+UE4hcVD4yD3CcESgf4pVoX7ZBcRHQPeiG/QNUbczHoKZbqgT0b/uz4yermmVk+XkrIMG/W2bdkgY9AiOeIRvPMqicU39vJr2dJG3RZKfm9oYiu0qksahbWNKuQcDHoV+o6k0XlnNevJsKRRUFwioBlhcLMAsyy82BN79nF1qHSkkNf201oEMUhZGmNMxjcKQVd5rdaFVKy+SC/yVkPFsme0KbVImCyHB60HtGIuu+TRL9srv27Pm4J3HB/i47txYjXHqbne3Xbc3NNXDGk+pGQzQvCdte45NPMxNapRnZ2ECkY+dapbMS9GIiF048tlH1Ld8rVOa+kOtO0pEvk0T0Sz3HhNWQV3yDwVfrBNvxVqiPJ0+iaj6AXSo6gdeSHX10SXN51gZcMYEBiF3EGd19NrARQKVYuOW60Sm2bqgMpbCcRC4Gzz2kK0+QGwaf2D+Z8AG/hhx2B1HA50E/m1wf7ZbyqA94FXavwrZ+vETW56NwA==
    jdtrat
    @jdtrat
    Screen Shot 2020-08-07 at 1.29.14 PM.png
    I realize some of that error message got cut off, but this is the full one @savingoyal.
    You are using pip version 19.0.3, however version 20.2.1 is available. You should consider upgrading via the 'pip install --upgrade pip' command. Metaflow (R) 2.2.0 loaded Error: Python shared library not found, Python bindings not loaded. Use reticulate::install_miniconda() if you'd like to install a Miniconda Python environment.
    Ville Tuulos
    @tuulos
    note that the above sandbox is shared amongst everyone in the workshop, so don't use it with any sensitive data
    also it will expire in a week, after which you can apply for a private sandbox at https://docs.metaflow.org/metaflow-on-aws/metaflow-sandbox